%define  upstream_name PHP_CodeCoverage
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.2.17
Release:	%mkrel 7
Summary:	Library that provides collection, processing, and rendering functionality for PHP code coverage information
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear >= 1.9.4
Requires:	php-channel-phpunit
Requires:	php-pear-PHPUnit
Requires:	php-pear-File_Iterator >= 1.3.0
Requires:	php-pear-PHP_TokenStream >= 1.1.3
Requires:	php-pear-Text_Template >= 1.1.1
BuildArch:	noarch
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-channel-phpunit


%description
Library that provides collection, processing, and rendering functionality
for PHP code coverage information.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_CodeCoverage.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_CodeCoverage.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_CodeCoverage
fi

%files
%doc docs/PHP_CodeCoverage/*
%{peardir}/*
%{xmldir}/PHP_CodeCoverage.xml







%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.17-7.mga8
+ Revision: 1507331
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.17-6.mga7
+ Revision: 1287857
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 mokraemer <mokraemer> 1.2.17-5.mga7
+ Revision: 1205074
- added requirement to php-unit

* Fri Feb 05 2016 umeabot <umeabot> 1.2.17-4.mga6
+ Revision: 936403
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.17-3.mga5
+ Revision: 749809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.17-2.mga5
+ Revision: 687421
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 spuhler <spuhler> 1.2.17-1.mga5
+ Revision: 638571
+ rebuild (emptylog)

* Mon Oct 21 2013 umeabot <umeabot> 1.2.13-2.mga4
+ Revision: 538637
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 1.2.13-1.mga4
+ Revision: 490142
- upgrade to vers. 1.2.13

* Sat Jul 06 2013 spuhler <spuhler> 1.2.12-1.mga4
+ Revision: 450761
- upgrade to ver 1.2.12

* Mon Jun 03 2013 spuhler <spuhler> 1.2.11-1.mga4
+ Revision: 436800
- upgrade to ver. 1.2.11
- changed Reqiores version per upstream
- cleaned spec

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 377159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 1.1.3-1.mga3
+ Revision: 275870
- upgrade to 1.1.3

* Mon Feb 27 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 215492
- update to 1.1.2

* Mon Nov 14 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 167455
- upgrade to 1.1.1
- upgrade to 1.1.1

* Wed Jul 20 2011 spuhler <spuhler> 1.0.4-2.mga2
+ Revision: 126890
- increased rel to 2
  revamped spec to pear style and adding the md5 test

* Mon Jul 11 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 122035
- imported package php-pear-PHP_CodeCoverage

